Package org.apache.felix.http.base.internal.wrappers

# Class ServletContextHelperWrapper

java.lang.Object
org.osgi.service.servlet.context.ServletContextHelper
org.apache.felix.http.base.internal.wrappers.ServletContextHelperWrapper

public class ServletContextHelperWrapper extends org.osgi.service.servlet.context.ServletContextHelper
ServletContextHelper wrapper

## Field Summary

### Fields inherited from class org.osgi.service.servlet.context.ServletContextHelper

`AUTHENTICATION_TYPE, AUTHORIZATION, REMOTE_USER`

## Constructor Summary

Constructors
Constructor
Description
`ServletContextHelperWrapper(org.osgi.service.http.context.ServletContextHelper helper)`
Create new wrapper

## Method Summary

Modifier and Type
Method
Description
`void`
`finishSecurity(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
`org.osgi.service.http.context.ServletContextHelper`
`getHelper()`
Get the helper
`String`
`getMimeType(String name)`
`String`
`getRealPath(String path)`
`URL`
`getResource(String name)`
`Set<String>`
`getResourcePaths(String path)`
`boolean`
`handleSecurity(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServletContextHelperWrapper

public ServletContextHelperWrapper(@NotNull org.osgi.service.http.context.ServletContextHelper helper)
Create new wrapper

Parameters:
  `helper` - Helper

## Method Details

### handleSecurity

public boolean handleSecurity(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response) throws IOException

Overrides:
  `handleSecurity` in class `org.osgi.service.servlet.context.ServletContextHelper`
Throws:
  `IOException`

### finishSecurity

public void finishSecurity(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)

Overrides:
  `finishSecurity` in class `org.osgi.service.servlet.context.ServletContextHelper`

### getResource

public URL getResource(String name)

Overrides:
  `getResource` in class `org.osgi.service.servlet.context.ServletContextHelper`

### getMimeType

public String getMimeType(String name)

Overrides:
  `getMimeType` in class `org.osgi.service.servlet.context.ServletContextHelper`

### getResourcePaths

public Set<String> getResourcePaths(String path)

Overrides:
  `getResourcePaths` in class `org.osgi.service.servlet.context.ServletContextHelper`

### getRealPath

public String getRealPath(String path)

Overrides:
  `getRealPath` in class `org.osgi.service.servlet.context.ServletContextHelper`

### getHelper

@NotNull public org.osgi.service.http.context.ServletContextHelper getHelper()
Get the helper

Returns:
  The helper